Loading...
Searching...
No Matches
Opm::FIBlackOilModel< TypeTag > Class Template Reference
Inheritance diagram for Opm::FIBlackOilModel< TypeTag >:

## Public Member Functions

| FIBlackOilModel (Simulator &simulator)
void | invalidateAndUpdateIntensiveQuantities (unsigned timeIdx) const
void | invalidateAndUpdateIntensiveQuantitiesOverlap (unsigned timeIdx) const
template<class GridSubDomain>
void | invalidateAndUpdateIntensiveQuantities (unsigned timeIdx, const GridSubDomain &gridSubDomain) const
void | updateFailed ()
| Called by the update() method if it was unsuccessful.
const IntensiveQuantities & | intensiveQuantities (unsigned globalIdx, unsigned timeIdx) const
Public Member Functions inherited from Opm::BlackOilModel< TypeTag >
| BlackOilModel (Simulator &simulator)
std::string | primaryVarName (int pvIdx) const
| Given an primary variable index, return a human readable name.
std::string | eqName (int eqIdx) const
| Given an equation index, return a human readable name.
Scalar | primaryVarWeight (unsigned globalDofIdx, unsigned pvIdx) const
| Returns the relative weight of a primary variable for calculating relative errors.
Scalar | eqWeight (unsigned globalDofIdx, unsigned eqIdx) const
| Returns the relative weight of an equation.
void | setEqWeight (unsigned eqIdx, Scalar value)
template<class DofEntity>
void | serializeEntity (std::ostream &outstream, const DofEntity &dof)
| Write the current solution for a degree of freedom to a restart file.
template<class DofEntity>
void | deserializeEntity (std::istream &instream, const DofEntity &dof)
| Reads the current solution variables for a degree of freedom from a restart file.
template<class Restarter>
void | deserialize (Restarter &res)
| Deserializes the state of the model.
template<class Context>
void | supplementInitialSolution_ (PrimaryVariables &priVars, const Context &context, unsigned dofIdx, unsigned timeIdx)
void | registerOutputModules_ ()
Public Member Functions inherited from Opm::MultiPhaseBaseModel< TypeTag >
| MultiPhaseBaseModel (Simulator &simulator)
bool | phaseIsConsidered (unsigned) const
| Returns true iff a fluid phase is used by the model.
void | globalPhaseStorage (EqVector &storage, unsigned phaseIdx)
| Compute the total storage inside one phase of all conservation quantities.
void | registerOutputModules_ ()

## Protected Types

template<EclMultiplexerApproach ApproachArg>
using | EMD = EclMultiplexerDispatch<ApproachArg>

## Protected Member Functions

void | updateCachedIntQuants (const unsigned timeIdx) const
template<class EMDArg>
void | updateCachedIntQuants1 (const unsigned timeIdx) const
template<class ... Args>
void | updateCachedIntQuantsLoop (const unsigned timeIdx) const
template<class ... Args>
void | updateSingleCachedIntQuantUnchecked (const unsigned globalIdx, const unsigned timeIdx) const

## Protected Attributes

ElementChunks< GridView, Dune::Partitions::All > | element_chunks_

## Additional Inherited Members

Public Types inherited from Opm::BlackOilModel< TypeTag >
using | Indices = GetPropType<TypeTag, Properties::Indices>
using | FluidSystem = GetPropType<TypeTag, Properties::FluidSystem>
using | PrimaryVariables = GetPropType<TypeTag, Properties::PrimaryVariables>
using | LocalResidual = GetPropType<TypeTag, Properties::LocalResidual>
Static Public Member Functions inherited from Opm::BlackOilModel< TypeTag >
static void | registerParameters ()
| Register all run-time parameters for the immiscible model.
static std::string | name ()
Static Public Member Functions inherited from Opm::MultiPhaseBaseModel< TypeTag >
static void | registerParameters ()
| Register all run-time parameters for the immiscible model.

## Member Function Documentation

## updateFailed()

template<typename TypeTag>

void Opm::FIBlackOilModel< TypeTag >::updateFailed | ( |  | ) |

inline

Called by the update() method if it was unsuccessful.

This is primary a hook which the actual model can overload.

The documentation for this class was generated from the following file:

- opm/simulators/flow/FIBlackoilModel.hpp